aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-class-methodmaker/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:10:51 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:10:51 +0000
commitdfc90fe1f7167f5177929682483af4575ea4108f (patch)
tree4c3c387a7fd99103d9cdf0a6177c76cce044d7bb /community/perl-class-methodmaker/APKBUILD
parent702b195e33f2761ee78576b5307b0e909d23633b (diff)
downloadaports-dfc90fe1f7167f5177929682483af4575ea4108f.tar.gz
aports-dfc90fe1f7167f5177929682483af4575ea4108f.tar.bz2
aports-dfc90fe1f7167f5177929682483af4575ea4108f.tar.xz
community/perl-class-methodmaker: upgraded to 2.24, moved from testing
Diffstat (limited to 'community/perl-class-methodmaker/APKBUILD')
-rw-r--r--community/perl-class-methodmaker/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/community/perl-class-methodmaker/APKBUILD b/community/perl-class-methodmaker/APKBUILD
new file mode 100644
index 0000000000..f30fb88f13
--- /dev/null
+++ b/community/perl-class-methodmaker/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-class-methodmaker
+pkgver=2.24
+pkgrel=0
+pkgdesc="Create generic class methods"
+url="http://search.cpan.org/dist/Class-MethodMaker"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="perl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SC/SCHWIGON/class-methodmaker/Class-MethodMaker-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Class-MethodMaker-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="6fac1ed1fea8a4e42d36a4d07c8bfa09 Class-MethodMaker-2.24.tar.gz"
+sha256sums="5eef58ccb27ebd01bcde5b14bcc553b5347a0699e5c3e921c7780c3526890328 Class-MethodMaker-2.24.tar.gz"
+sha512sums="d78f89df41d5c566dee74d30ff1b71488e9510639e795dd2f21e95e0516b039d15dd6743342cb28841e0fc698f64b3b3f349b5da788220598dff6ad95225ae0c Class-MethodMaker-2.24.tar.gz"